Bug 1257912 - FTBFS on RHEL-7 (missing package stuf in %check)
FTBFS on RHEL-7 (missing package stuf in %check)
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: python-shove (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Luke Macken
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-28 07:38 EDT by Matěj Cepl
Modified: 2017-08-08 08:10 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:10:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matěj Cepl 2015-08-28 07:38:45 EDT
Description of problem:
%check step breaks when building the package on EPEL7 because of missing package stuf:

matej@mitmanek: python-feedcache (epel7 %)$ fedpkg --dist epel7 local
Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.E0Ttum
+ umask 022
+ cd /home/matej/build/EXTRAS/python-feedcache
+ cd /home/matej/build/EXTRAS/python-feedcache
+ rm -rf feedcache-1.4.1
+ /usr/bin/gzip -dc /home/matej/build/EXTRAS/python-feedcache/feedcache-1.4.1.tar.gz
+ /usr/bin/tar -xf -
+ STATUS=0
+ '[' 0 -ne 0 ']'
+ cd feedcache-1.4.1
+ /usr/bin/chmod -Rf a+rX,u+w,g-w,o-w .
+ echo 'Patch #0 (python-feedcache-distribute.patch):'
Patch #0 (python-feedcache-distribute.patch):
+ /usr/bin/cat /home/matej/build/EXTRAS/python-feedcache/python-feedcache-distribute.patch
+ /usr/bin/patch -p1 -b --suffix .distribute --fuzz=0
patching file setup.py
+ for file in cachestoragelock __init__ test_cachestoragelock test_cache cache test_server example example_threads test_shovefilesystem
+ /usr/bin/sed -i.orig -e 1d feedcache/cachestoragelock.py
+ touch -r feedcache/cachestoragelock.py.orig feedcache/cachestoragelock.py
+ /usr/bin/rm feedcache/cachestoragelock.py.orig
+ for file in cachestoragelock __init__ test_cachestoragelock test_cache cache test_server example example_threads test_shovefilesystem
+ /usr/bin/sed -i.orig -e 1d feedcache/__init__.py
+ touch -r feedcache/__init__.py.orig feedcache/__init__.py
+ /usr/bin/rm feedcache/__init__.py.orig
+ for file in cachestoragelock __init__ test_cachestoragelock test_cache cache test_server example example_threads test_shovefilesystem
+ /usr/bin/sed -i.orig -e 1d feedcache/test_cachestoragelock.py
+ touch -r feedcache/test_cachestoragelock.py.orig feedcache/test_cachestoragelock.py
+ /usr/bin/rm feedcache/test_cachestoragelock.py.orig
+ for file in cachestoragelock __init__ test_cachestoragelock test_cache cache test_server example example_threads test_shovefilesystem
+ /usr/bin/sed -i.orig -e 1d feedcache/test_cache.py
+ touch -r feedcache/test_cache.py.orig feedcache/test_cache.py
+ /usr/bin/rm feedcache/test_cache.py.orig
+ for file in cachestoragelock __init__ test_cachestoragelock test_cache cache test_server example example_threads test_shovefilesystem
+ /usr/bin/sed -i.orig -e 1d feedcache/cache.py
+ touch -r feedcache/cache.py.orig feedcache/cache.py
+ /usr/bin/rm feedcache/cache.py.orig
+ for file in cachestoragelock __init__ test_cachestoragelock test_cache cache test_server example example_threads test_shovefilesystem
+ /usr/bin/sed -i.orig -e 1d feedcache/test_server.py
+ touch -r feedcache/test_server.py.orig feedcache/test_server.py
+ /usr/bin/rm feedcache/test_server.py.orig
+ for file in cachestoragelock __init__ test_cachestoragelock test_cache cache test_server example example_threads test_shovefilesystem
+ /usr/bin/sed -i.orig -e 1d feedcache/example.py
+ touch -r feedcache/example.py.orig feedcache/example.py
+ /usr/bin/rm feedcache/example.py.orig
+ for file in cachestoragelock __init__ test_cachestoragelock test_cache cache test_server example example_threads test_shovefilesystem
+ /usr/bin/sed -i.orig -e 1d feedcache/example_threads.py
+ touch -r feedcache/example_threads.py.orig feedcache/example_threads.py
+ /usr/bin/rm feedcache/example_threads.py.orig
+ for file in cachestoragelock __init__ test_cachestoragelock test_cache cache test_server example example_threads test_shovefilesystem
+ /usr/bin/sed -i.orig -e 1d feedcache/test_shovefilesystem.py
+ touch -r feedcache/test_shovefilesystem.py.orig feedcache/test_shovefilesystem.py
+ /usr/bin/rm feedcache/test_shovefilesystem.py.orig
+ exit 0
Executing(%build): /bin/sh -e /var/tmp/rpm-tmp.OvUiyx
+ umask 022
+ cd /home/matej/build/EXTRAS/python-feedcache
+ cd feedcache-1.4.1
+ /usr/bin/python setup.py build
running build
running build_py
creating build
creating build/lib
creating build/lib/feedcache
copying ./feedcache/cachestoragelock.py -> build/lib/feedcache
copying ./feedcache/__init__.py -> build/lib/feedcache
copying ./feedcache/test_cachestoragelock.py -> build/lib/feedcache
copying ./feedcache/test_cache.py -> build/lib/feedcache
copying ./feedcache/cache.py -> build/lib/feedcache
copying ./feedcache/test_server.py -> build/lib/feedcache
copying ./feedcache/example.py -> build/lib/feedcache
copying ./feedcache/example_threads.py -> build/lib/feedcache
copying ./feedcache/test_shovefilesystem.py -> build/lib/feedcache
+ exit 0
Executing(%install): /bin/sh -e /var/tmp/rpm-tmp.eDNPoJ
+ umask 022
+ cd /home/matej/build/EXTRAS/python-feedcache
+ '[' /home/matej/build/BUILDROOT/python-feedcache-1.4.1-2.el7.x86_64 '!=' / ']'
+ rm -rf /home/matej/build/BUILDROOT/python-feedcache-1.4.1-2.el7.x86_64
++ dirname /home/matej/build/BUILDROOT/python-feedcache-1.4.1-2.el7.x86_64
+ mkdir -p /home/matej/build/BUILDROOT
+ mkdir /home/matej/build/BUILDROOT/python-feedcache-1.4.1-2.el7.x86_64
+ cd feedcache-1.4.1
+ rm -rf /home/matej/build/BUILDROOT/python-feedcache-1.4.1-2.el7.x86_64
+ /usr/bin/python setup.py install --skip-build --root /home/matej/build/BUILDROOT/python-feedcache-1.4.1-2.el7.x86_64
running install
running install_lib
creating /home/matej/build/BUILDROOT/python-feedcache-1.4.1-2.el7.x86_64
creating /home/matej/build/BUILDROOT/python-feedcache-1.4.1-2.el7.x86_64/usr
creating /home/matej/build/BUILDROOT/python-feedcache-1.4.1-2.el7.x86_64/usr/lib
creating /home/matej/build/BUILDROOT/python-feedcache-1.4.1-2.el7.x86_64/usr/lib/python2.7
creating /home/matej/build/BUILDROOT/python-feedcache-1.4.1-2.el7.x86_64/usr/lib/python2.7/site-packages
creating /home/matej/build/BUILDROOT/python-feedcache-1.4.1-2.el7.x86_64/usr/lib/python2.7/site-packages/feedcache
copying build/lib/feedcache/cachestoragelock.py -> /home/matej/build/BUILDROOT/python-feedcache-1.4.1-2.el7.x86_64/usr/lib/python2.7/site-packages/feedcache
copying build/lib/feedcache/__init__.py -> /home/matej/build/BUILDROOT/python-feedcache-1.4.1-2.el7.x86_64/usr/lib/python2.7/site-packages/feedcache
copying build/lib/feedcache/test_cachestoragelock.py -> /home/matej/build/BUILDROOT/python-feedcache-1.4.1-2.el7.x86_64/usr/lib/python2.7/site-packages/feedcache
copying build/lib/feedcache/test_cache.py -> /home/matej/build/BUILDROOT/python-feedcache-1.4.1-2.el7.x86_64/usr/lib/python2.7/site-packages/feedcache
copying build/lib/feedcache/cache.py -> /home/matej/build/BUILDROOT/python-feedcache-1.4.1-2.el7.x86_64/usr/lib/python2.7/site-packages/feedcache
copying build/lib/feedcache/test_server.py -> /home/matej/build/BUILDROOT/python-feedcache-1.4.1-2.el7.x86_64/usr/lib/python2.7/site-packages/feedcache
copying build/lib/feedcache/example.py -> /home/matej/build/BUILDROOT/python-feedcache-1.4.1-2.el7.x86_64/usr/lib/python2.7/site-packages/feedcache
copying build/lib/feedcache/example_threads.py -> /home/matej/build/BUILDROOT/python-feedcache-1.4.1-2.el7.x86_64/usr/lib/python2.7/site-packages/feedcache
copying build/lib/feedcache/test_shovefilesystem.py -> /home/matej/build/BUILDROOT/python-feedcache-1.4.1-2.el7.x86_64/usr/lib/python2.7/site-packages/feedcache
byte-compiling /home/matej/build/BUILDROOT/python-feedcache-1.4.1-2.el7.x86_64/usr/lib/python2.7/site-packages/feedcache/cachestoragelock.py to cachestoragelock.pyc
byte-compiling /home/matej/build/BUILDROOT/python-feedcache-1.4.1-2.el7.x86_64/usr/lib/python2.7/site-packages/feedcache/__init__.py to __init__.pyc
byte-compiling /home/matej/build/BUILDROOT/python-feedcache-1.4.1-2.el7.x86_64/usr/lib/python2.7/site-packages/feedcache/test_cachestoragelock.py to test_cachestoragelock.pyc
byte-compiling /home/matej/build/BUILDROOT/python-feedcache-1.4.1-2.el7.x86_64/usr/lib/python2.7/site-packages/feedcache/test_cache.py to test_cache.pyc
byte-compiling /home/matej/build/BUILDROOT/python-feedcache-1.4.1-2.el7.x86_64/usr/lib/python2.7/site-packages/feedcache/cache.py to cache.pyc
byte-compiling /home/matej/build/BUILDROOT/python-feedcache-1.4.1-2.el7.x86_64/usr/lib/python2.7/site-packages/feedcache/test_server.py to test_server.pyc
byte-compiling /home/matej/build/BUILDROOT/python-feedcache-1.4.1-2.el7.x86_64/usr/lib/python2.7/site-packages/feedcache/example.py to example.pyc
byte-compiling /home/matej/build/BUILDROOT/python-feedcache-1.4.1-2.el7.x86_64/usr/lib/python2.7/site-packages/feedcache/example_threads.py to example_threads.pyc
byte-compiling /home/matej/build/BUILDROOT/python-feedcache-1.4.1-2.el7.x86_64/usr/lib/python2.7/site-packages/feedcache/test_shovefilesystem.py to test_shovefilesystem.pyc
running install_egg_info
running egg_info
writing feedcache.egg-info/PKG-INFO
writing top-level names to feedcache.egg-info/top_level.txt
writing dependency_links to feedcache.egg-info/dependency_links.txt
reading manifest file 'feedcache.egg-info/SOURCES.txt'
reading manifest template 'MANIFEST.in'
warning: no files found matching '*.html' under directory 'docs'
warning: no files found matching '*.css' under directory 'docs'
warning: no files found matching '*.js' under directory 'docs'
warning: no files found matching '*.png' under directory 'docs'
writing manifest file 'feedcache.egg-info/SOURCES.txt'
Copying feedcache.egg-info to /home/matej/build/BUILDROOT/python-feedcache-1.4.1-2.el7.x86_64/usr/lib/python2.7/site-packages/feedcache-1.4.1-py2.7.egg-info
running install_scripts
+ /usr/lib/rpm/find-debuginfo.sh --strict-build-id -m --run-dwz --dwz-low-mem-die-limit 100000000 --dwz-max-die-limit 500000000 /home/matej/build/EXTRAS/python-feedcache/feedcache-1.4.1
/usr/lib/rpm/sepdebugcrcfix: Updated 0 CRC32s, 0 CRC32s did match.
find: 'debug': No such file or directory
+ '[' noarch = noarch ']'
+ case "${QA_CHECK_RPATHS:-}" in
+ /usr/lib/rpm/check-buildroot
+ /usr/lib/rpm/redhat/brp-compress
+ /usr/lib/rpm/redhat/brp-strip-static-archive /usr/bin/strip
+ /usr/lib/rpm/brp-python-bytecompile /usr/bin/python 1
Bytecompiling .py files below /home/matej/build/BUILDROOT/python-feedcache-1.4.1-2.el7.x86_64/usr/lib/python2.7 using /usr/bin/python2.7
+ /usr/lib/rpm/redhat/brp-python-hardlink
+ /usr/lib/rpm/redhat/brp-java-repack-jars
Executing(%check): /bin/sh -e /var/tmp/rpm-tmp.lwKLCW
+ umask 022
+ cd /home/matej/build/EXTRAS/python-feedcache
+ cd feedcache-1.4.1
+ PYTHONPATH=.
+ nosetests
127.0.0.1 - - [28/Aug/2015 13:29:25] "GET / HTTP/1.1" 200 -
127.0.0.1 - - [28/Aug/2015 13:29:25] "GET / HTTP/1.1" 304 -
127.0.0.1 - - [28/Aug/2015 13:29:25] "GET /shutdown HTTP/1.0" 200 -
.127.0.0.1 - - [28/Aug/2015 13:29:26] "GET / HTTP/1.1" 200 -
127.0.0.1 - - [28/Aug/2015 13:29:26] "GET / HTTP/1.1" 304 -
127.0.0.1 - - [28/Aug/2015 13:29:26] "GET /shutdown HTTP/1.0" 200 -
.127.0.0.1 - - [28/Aug/2015 13:29:27] "GET / HTTP/1.1" 200 -
127.0.0.1 - - [28/Aug/2015 13:29:27] "GET /shutdown HTTP/1.0" 200 -
.127.0.0.1 - - [28/Aug/2015 13:29:28] "GET / HTTP/1.1" 200 -
127.0.0.1 - - [28/Aug/2015 13:29:29] "GET /shutdown HTTP/1.0" 200 -
.127.0.0.1 - - [28/Aug/2015 13:29:30] "GET / HTTP/1.1" 301 -
127.0.0.1 - - [28/Aug/2015 13:29:30] "GET /redirected HTTP/1.1" 200 -
127.0.0.1 - - [28/Aug/2015 13:29:30] "GET /shutdown HTTP/1.0" 200 -
.127.0.0.1 - - [28/Aug/2015 13:29:31] "GET / HTTP/1.1" 302 -
127.0.0.1 - - [28/Aug/2015 13:29:31] "GET /redirected HTTP/1.1" 200 -
127.0.0.1 - - [28/Aug/2015 13:29:31] "GET /shutdown HTTP/1.0" 200 -
.127.0.0.1 - - [28/Aug/2015 13:29:32] "GET / HTTP/1.1" 303 -
127.0.0.1 - - [28/Aug/2015 13:29:32] "GET /redirected HTTP/1.1" 200 -
127.0.0.1 - - [28/Aug/2015 13:29:32] "GET /shutdown HTTP/1.0" 200 -
.127.0.0.1 - - [28/Aug/2015 13:29:33] "GET / HTTP/1.1" 307 -
127.0.0.1 - - [28/Aug/2015 13:29:33] "GET /redirected HTTP/1.1" 200 -
127.0.0.1 - - [28/Aug/2015 13:29:33] "GET /shutdown HTTP/1.0" 200 -
.127.0.0.1 - - [28/Aug/2015 13:29:34] "GET / HTTP/1.1" 200 -
127.0.0.1 - - [28/Aug/2015 13:29:35] "GET / HTTP/1.1" 200 -
127.0.0.1 - - [28/Aug/2015 13:29:35] "GET /shutdown HTTP/1.0" 200 -
.127.0.0.1 - - [28/Aug/2015 13:29:36] "GET / HTTP/1.1" 200 -
127.0.0.1 - - [28/Aug/2015 13:29:36] "GET /shutdown HTTP/1.0" 200 -
.127.0.0.1 - - [28/Aug/2015 13:29:37] "GET /shutdown HTTP/1.0" 200 -
.127.0.0.1 - - [28/Aug/2015 13:29:38] "GET / HTTP/1.1" 200 -
127.0.0.1 - - [28/Aug/2015 13:29:38] "GET /shutdown HTTP/1.0" 200 -
.127.0.0.1 - - [28/Aug/2015 13:29:39] "GET / HTTP/1.1" 200 -
127.0.0.1 - - [28/Aug/2015 13:29:39] "GET /shutdown HTTP/1.0" 200 -
.127.0.0.1 - - [28/Aug/2015 13:29:40] "GET / HTTP/1.1" 200 -
127.0.0.1 - - [28/Aug/2015 13:29:40] "GET /shutdown HTTP/1.0" 200 -
.127.0.0.1 - - [28/Aug/2015 13:29:41] "GET / HTTP/1.1" 200 -
127.0.0.1 - - [28/Aug/2015 13:29:41] "GET /shutdown HTTP/1.0" 200 -
.E
======================================================================
ERROR: Failure: ImportError (No module named stuf)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/nose/loader.py", line 413, in loadTestsFromName
    addr.filename, addr.module)
  File "/usr/lib/python2.7/site-packages/nose/importer.py", line 47, in importFromPath
    return self.importFromDir(dir_path, fqname)
  File "/usr/lib/python2.7/site-packages/nose/importer.py", line 94, in importFromDir
    mod = load_module(part_fqname, fh, filename, desc)
  File "/home/matej/build/EXTRAS/python-feedcache/feedcache-1.4.1/feedcache/test_shovefilesystem.py", line 35, in <module>
    import shove
  File "/usr/lib/python2.7/site-packages/shove/__init__.py", line 6, in <module>
    from shove.core import Shove
  File "/usr/lib/python2.7/site-packages/shove/core.py", line 7, in <module>
    from stuf import exhaustmap
ImportError: No module named stuf

----------------------------------------------------------------------
Ran 16 tests in 17.413s

FAILED (errors=1)
error: Bad exit status from /var/tmp/rpm-tmp.lwKLCW (%check)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.lwKLCW (%check)
Could not execute local: Non zero exit

Version-Release number of selected component (if applicable):
python-shove-0.6.4-1.el7.noarch

How reproducible:
100% on EPEL7

Steps to Reproduce:
1.see above
2.
3.

Actual results:
FTBFS

Expected results:
working package (or an error missing indicating missing packages to be installed)

Additional info:
Comment 1 Jan Kurik 2016-02-24 08:41:05 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 3 Fedora End Of Life 2017-07-25 15:12:20 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2017-08-08 08:10:33 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.